| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
st_EHCD_QHD Struct Reference
Enhanced Host Controller Interface Driver

## Detailed Description

Definition at line 235 of file EHCI.h.

`#include "EHCI.h"`

## Data Fields
NextLinkPointer | Horizontal
uint32_t | DeviceAddress: 7
uint32_t | InActiveOnNextTransaction: 1
uint32_t | EndpointNumber: 4
uint32_t | EndpointSpeed: 2
uint32_t | DataToggleControl: 1
uint32_t | HeadReclamationFlag: 1
uint32_t | MaxPackageSize: 11
uint32_t | ControlEndpointFlag: 1
uint32_t | NakCountReload: 4
uint32_t | uFrameSMask: 8
uint32_t | uFrameCMask: 8
uint32_t | HubAddress: 7
uint32_t | PortNumber: 7
uint32_t | Mult: 2
__IO uint32_t | CurrentQtd
__IO HCD_QTD | Overlay
uint32_t | inUse: 1
uint32_t | Direction: 2
uint32_t | Interval: 5
uint32_t | ListIndex: 20
__IO uint32_t | status
uint32_t | FirstQtd
uint16_t * | pActualTransferCount

## Field Documentation

uint32_t ControlEndpointFlag

Definition at line 247 of file EHCI.h.

__IO uint32_t CurrentQtd

Definition at line 262 of file EHCI.h.

uint32_t DataToggleControl

Definition at line 244 of file EHCI.h.

uint32_t DeviceAddress

Definition at line 240 of file EHCI.h.

uint32_t Direction

Definition at line 269 of file EHCI.h.

uint32_t EndpointNumber

Definition at line 242 of file EHCI.h.

uint32_t EndpointSpeed

Definition at line 243 of file EHCI.h.

uint32_t FirstQtd

Definition at line 275 of file EHCI.h.

uint32_t HeadReclamationFlag

Definition at line 245 of file EHCI.h.

NextLinkPointer Horizontal

Definition at line 237 of file EHCI.h.

uint32_t HubAddress

Definition at line 255 of file EHCI.h.

uint32_t InActiveOnNextTransaction

Definition at line 241 of file EHCI.h.

uint32_t Interval

Definition at line 270 of file EHCI.h.

uint32_t inUse

Definition at line 268 of file EHCI.h.

uint32_t ListIndex

Definition at line 271 of file EHCI.h.

uint32_t MaxPackageSize

Definition at line 246 of file EHCI.h.

uint32_t Mult

Definition at line 257 of file EHCI.h.

uint32_t NakCountReload

Definition at line 248 of file EHCI.h.

__IO HCD_QTD Overlay

Definition at line 265 of file EHCI.h.

uint16_t* pActualTransferCount

Definition at line 276 of file EHCI.h.

uint32_t PortNumber

Definition at line 256 of file EHCI.h.

__IO uint32_t status

Definition at line 274 of file EHCI.h.

uint32_t uFrameCMask

Definition at line 254 of file EHCI.h.

uint32_t uFrameSMask

Definition at line 253 of file EHCI.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Core/HCD/EHCI/EHCI.h